#include <bits/stdc++.h>
using namespace std;
int main()
{
  int x, y, b;
  double n;
  cout << "Unesite prvi prirodan broj: " << endl;
  cin >> x;
  cout << "Unesite drugi prirodan broj: " << endl;
  cin >> y;
  n=0;
  b=1;
  while (x>0 || y>0)
    {
    if (x%10>y%10)
    {
      n=n+x%10;
      n=n/10;
    }
    else if (x%10<y%10)
    {
      n=n+y%10;
      n=n/10;
      }
    else
    {
      if ((x==0 || y==0) && (x>0 || y>0))
      {
        n=n+x%10;
        n=n/10;
        }
      else
      {
        n=n+(x%10)*10+y%10;
        n=n/100;
        b=b*10;
        }
    }
    x=x/10;
    y=y/10;
    b=b*10;
    }
  n=n*b;
  cout << setprecision(10);
  cout << n << endl;
  return 0;
}